Subject: Re: bug#60163: 29.0.60; Error in post-command-hook (winner-save-old-configurations): (wrong-type-argument frame-live-p #<dead frame code action 0x563ea51cbf70>)

From: 张云峰 <[email-masked]>
Date: Mon, 19 Dec 2022 23:49:13 +0800

Done.

[Detaching after vfork from child process 650535]
[Detaching after vfork from child process 650536]
[Detaching after vfork from child process 650537]
[Detaching after vfork from child process 650538]
[Detaching after vfork from child process 650539]
[Detaching after vfork from child process 650540]
[Detaching after vfork from child process 650541]
[Detaching after vfork from child process 650542]
[Detaching after vfork from child process 650543]
[Detaching after vfork from child process 650544]
[Detaching after vfork from child process 650545]
[Detaching after vfork from child process 650546]
[Detaching after vfork from child process 650547]
[Detaching after vfork from child process 650729]
[Detaching after vfork from child process 650730]
[Detaching after vfork from child process 650731]
[Detaching after vfork from child process 650732]

Thread 1 "emacs" hit Breakpoint 1, delete_frame (frame=0x555558c02e05,
force=0x0) at frame.c:1932
1932 {
(gdb) l
1927 * unconditionally.  x_connection_closed and delete_terminal use this.
1928 * Any other value of FORCE implements the semantics described for
1929 * Fdelete_frame.  */
1930 Lisp_Object
1931 delete_frame (Lisp_Object frame, Lisp_Object force)
1932 {
1933 struct frame *f = decode_any_frame (frame);
1934 struct frame *sf;
1935 struct kboard *kb;
1936 Lisp_Object frames, frame1;
(gdb) c
Continuing.
[Detaching after vfork from child process 650742]
[Detaching after vfork from child process 650964]

 *==================================================> here emacs can't
edit, no cursor( cursor in edit area just disappeared)， but mouse pointer
can select text in emacs and hover event also can trigger.*

*What should I do next ?*

Po Lu <[email-masked]> 于2022年12月19日周一 22:28写道：

> 张云峰 <[email-masked]> writes:
>
> > Thanks for your quick reply.
> >
> > Yes, I did, the author of lsp-bridge thinks that this bug belongs to
> emacs itself.
> > What's confusing is that lsp-bridge works very well in emacs28 and
> emacs29 without pgtk feature.
> > And I think that even if it is a bug in a third-party library, it should
> not cause emacs to be unable to edit.
>
> If you put a breakpoint with GDB on delete_frame set to only print a
> backtrace and then continue (would someone else please explain the
> procedure, as it's 10:30 PM here), what is printed immediately before
> the error?
>